
#property copyright " 2006 RickD"
#property link      "www.fxstrategy.ca"


#property  indicator_chart_window
#property  indicator_buffers 0

extern string __1__ = "";

extern int MaxDays = 365;
extern int FontSize = 15;
extern string FontName = "Verdana";
extern int Offset = 80;

extern string __2__ = "";

extern string Text1 = "*";
extern string Text2 = "*";
extern string Text3 = "*";
extern string Text4 = "*";
extern string Text5 = "*";
extern string Text6 = "*";
extern string Text7 = "*";

extern string __3__ = "";

extern color Color1 = Aqua;
extern color Color2 = Aqua;
extern color Color3 = Aqua;
extern color Color4 = Aqua;
extern color Color5 = Aqua;
extern color Color6 = Aqua;
extern color Color7 = Aqua;


extern bool ShowDay1 = false;
extern bool ShowDay2 = false;
extern bool ShowDay3 = false;
extern bool ShowDay4 = false;
extern bool ShowDay5 = false;
extern bool ShowDay6 = false;
extern bool ShowDay7 = false;

string Text[7];
color Color[7];
bool ShowDay[7];

string  prefix ;"7days_";

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

void init() {

  Text[0] = Text1;
  Text[1] = Text2;
  Text[2] = Text3;
  Text[3] = Text4;
  Text[4] = Text5;
  Text[5] = Text6;
  Text[6] = Text7;
  
  Color[0] = Color1;
  Color[1] = Color2;
  Color[2] = Color3;
  Color[3] = Color4;
  Color[4] = Color5;
  Color[5] = Color6;
  Color[6] = Color7;

  
  
  ShowDay[0] = ShowDay1;
  ShowDay[1] = ShowDay2;
  ShowDay[2] = ShowDay3;
  ShowDay[3] = ShowDay4;
  ShowDay[4] = ShowDay5;
  ShowDay[5] = ShowDay6;
  ShowDay[6] = ShowDay7;
  
  
  clear();
  show();
}

void deinit() {
  clear();
}

void start() 
{
  show();
}

void show() {
  int P = Period();
  if (P > PERIOD_D1) return;
  
  string name = "";
  
  int cnt = MathMin(Bars, PERIOD_D1/P*MaxDays);
  for (int i=0; i < cnt; i++) 
  {
    if (TimeDayOfWeek(Time[i]) != TimeDayOfWeek(Time[i+1]))
    {
      name = prefix + TimeToStr(Time[i]);
      
      int res = ObjectFind(name);
      if (res == -1) 
      {      
        int day = TimeDayOfWeek(Time[i]);
        if (!ShowDay[day-1]) continue;
      
        ObjectCreate(name, OBJ_TEXT, 0, Time[i], Low[i]-Offset*Point);
        ObjectSetText(name, Text[day-1], FontSize, FontName, Color[day-1]); 
      }
    }
  }
}

void clear() {
  int P = Period();
  if (P > PERIOD_D1) return;
  
  string prefix = "5days_";
  string name = "";
  
  int cnt = MathMin(Bars, PERIOD_D1/P*MaxDays);
  for (int i=0; i < cnt; i++) 
  {
    name = prefix + TimeToStr(Time[i]);
    
    int res = ObjectFind(name);
    ObjectDelete(name);
  }
}